.visually-hidden {
    position: absolute;
    opacity: 0;
    pointer-events: none;
  }
  
  body {
    max-width: 120ch;
    /*min-width: 800px;*/
    min-width: 1024px;
    margin: 20px auto;
    padding: 20px;
    padding-bottom: 0;
    display: grid;
    grid-template: "header  header  header" "divider divider divider" "nav     main    sidebar" "footer  footer  footer"/200px 1fr 200px;
    grid-gap: 20px 40px;
    background-color: lightslategray;
  }
  body::before {
    content: "";
    display: block;
    grid-area: divider;
    border-bottom: 1px dashed #000;
  }
  body > header {
    grid-area: header;
  }
  
  .header {
    display: grid;
    grid-template: "logo ........... ......" 1fr "logo primary-nav search" auto "logo ........... ......" 1fr/500px 1fr 200px;
    grid-gap: 0 40px;
  }
  
  .primary-nav {
    grid-area: primary-nav;
    display: flex;
  }
  .primary-nav ul {
    flex-grow: 1;
    display: flex;
    list-style: none;
    padding: 0;
    margin-left: -20px;
    /*margin-left: 280px;*/
  }
  .primary-nav li {
    margin-left: 20px;
    flex-grow: 1;
    display: flex;
    text-align: center;
  }
  .primary-nav a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    background-color: #000;
    color: #fff;
    text-decoration: none;
    padding: 10px 20px;
  }
  
  .logo {
    grid-area: logo;
    border: 3px solid #000;
    /*padding: 10px 20px;*/
    padding:10px 500px 10px 10px;
    font-size: 2em;
    margin: 0;
    text-align: center;
    text-decoration: none;
    color: #000;
  }
  
  .search {
    grid-area: search;
    display: flex;
    align-items: flex-end;
  }
  .search input {
    width: 100%;
  }
  
  .secondary-nav {
    grid-area: nav;
    background-color: lightgray;
    padding: 17px;
    flex-grow: 1;
  }
  .secondary-nav ul {
    list-style: none;
    padding: 0;
    display: grid;
    width: 100%;
    grid-template-columns: 1fr;
    grid-gap: 10px;
  }
  .secondary-nav li {
    display: flex;
    width: 100%;
  }
  .secondary-nav a {
    background: #fff;
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
    text-decoration: none;
    font-weight: bold;
    padding: 28px 0;
  }
  
  main {
    grid-area: main;
  }
  main p:last-child {
    margin-bottom: 0;
  }
  
  aside {
    grid-area: sidebar;
    background: lightgray;
    padding: 17px;
  }
  aside section {
    margin-bottom: 2.5em;
  }
  aside h2 {
    margin: 0;
    margin-bottom: 0.5em;
    font-size: 1.2em;
  }
  
  .share ul {
    background: #fff;
    padding-top: 5px;
    padding-bottom: 15px;
  }
  .share li {
    margin-top: 0.5em;
  }
  
  .recommended ul {
    list-style: none;
    padding: 0;
  }
  .recommended li {
    background: #fff;
    padding: 10px;
    margin-top: 10px;
  }
  .recommended h3 {
    margin: 0;
    margin-bottom: 0.5em;
  }
  .recommended p {
    margin: 0;
  }
  
  footer {
    grid-area: footer;
    padding: 20px;
    border-top: 1px dashed #000;
    margin-top: 20px;
  }
  footer ul {
    display: block;
    list-style: none;
    padding: 0;
    text-align: center;
  }
  footer li {
    display: inline-block;
    margin-left: 10px;
  }
  footer a {
    color: #000;
    text-decoration: none;
  }
  
  h1 {
    margin: 0;
    font-size: 2.5em;
  }
  
  h2 {
    font-size: 1.5em;
  }
  
  ul {
    margin: 0;
  }
  
  a {
    color: #000;
  }

  /** Menu -- Inicio**/
/**{margin:0;padding:0;box-sizing:border-box;font-size:0;}*/
*{margin:0}
nav.menu a.menu{
      text-decoration:none;
      color:inherit;
      font-size:14px;
      }
            
nav.menu li.menu{
      /*display:inline-block;*/
      width:150px;
      height:30px;
      padding:5px 10px;
      background-color:#000;
      border:1px solid #000;
      text-align:center;
      color:#fff;
      position:relative;
}
            
nav.menu li.menu:hover{
      background-color:#fff;
      color:#000;
      }
            
nav.menu li.menu>ul{
      display:none;
      }

nav.menu li.menu:hover>ul{
      display:block;
      position:absolute;
      top:40px;
      left:0px;
}
  /** Menu -- Fin **/


  /** Tabla -- Inicio **/
  .progol-table {
    border-collapse: collapse;
    width: 100%;
}

.progol-table th,
.progol-table td {
    border: 1px solid #dddddd;
    padding: 8px;
    text-align: center;
}

.progol-table th {
    background-color: #5CCDC9;
    color: white;
}

.progol-table tbody tr:nth-child(even) {
    background-color: #f2f2f2;
}

.progol-table tbody tr:nth-child(odd) {
    background-color: #eaeaea; /* Color adicional para filas impares */
}

.progol-table tbody tr:hover {
    background-color: #ddd;
}

.highlight {
    color: #6e8091;
}
/** Tabla -- Fin **/



.button {
  font-size: 1em;
  /*padding: 10px;*/
  color: #fff;
  /*border: 2px solid #06D85F;*/
  /*border-radius: 20px/50px;*/
  text-decoration: none;
  cursor: pointer;
  transition: all 0.3s ease-out;
}
.button:hover {
  /*background: #06D85F;*/
  background: #b8ccdb;
}

.overlay {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.7);
  transition: opacity 500ms;
  visibility: hidden;
  opacity: 0;
}
.overlay:target {
  visibility: visible;
  opacity: 1;
}

.popup {
  margin: 20px auto;
  padding: 5px;
  background: #fff;
  border-radius: 5px;
  width: 40%;
  height: 95%;
  position: relative;
  transition: all 5s ease-in-out;
}

.popup h2 {
  margin-top: 0;
  color: #333;
  font-family: Tahoma, Arial, sans-serif;
}
.popup .close {
  position: absolute;
  top: 20px;
  right: 30px;
  transition: all 200ms;
  font-size: 30px;
  font-weight: bold;
  text-decoration: none;
  color: #333;
}
.popup .close:hover {
  color: #06D85F;
}
.popup .content {
  max-height: 95%;
  overflow: auto;
}

.noencontrado{
  margin: 20px auto;
  padding: 5px;
  background: #fff;
  border-radius: 5px;
  width: 40%;
  height: 95%;
  position: relative;
  transition: all 5s ease-in-out;
}

.encontrado{
  padding: 5px;
  background: #fff;
  border-radius: 5px;
  width: 100%;
  height: 95%;
  position: relative;
  transition: all 5s ease-in-out;
}


@media screen and (max-width: 700px){
  .box{
  width: 70%;
  }
  .popup{
  width: 70%;
  }
}